package com.zd.laboratory.domain.dto;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.enums.MessTypeEnum;
import com.zd.common.core.enums.MessageSendRangeEnum;
import com.zd.common.core.enums.UserMessageSendModeEnum;
import com.zd.common.core.valid.EnumString;
import com.zd.common.core.valid.ValidGroup;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author: zhoupan
 * @Date: 2021/09/02/16:24
 * @Description:
 */
public class LabMessageContentDTO implements Serializable {


    private static final long serialVersionUID = -4323239009767436099L;


    /**
     * 主键id
     */
    private Long id;

//    /** 消息类型（参考字典表 如：文字，富文本） */
//    @NotNull(groups = ValidGroup.Crud.Create.class,message = "消息类型不能为空")
//    @EnumString(value = MessTypeEnum.class, message="消息类型错误！")
//    @Excel(name = "消息类型", readConverterExp = "参考MessTypeEnum")
//    private Integer messType;

    /**
     * 发送方式（参考字典表）
     */
//    @NotNull(groups = ValidGroup.Crud.Create.class,message = "发送方式不能为空")
    @EnumString(value = UserMessageSendModeEnum.class, message = "发送方式错误！")
    @Excel(name = "发送方式", readConverterExp = "参考UserMessageSendModeEnum")
    private Integer sendMode;

    /**
     * 发送范围（1是全校，2是院系，3是个人，参考MessageSendRangeEnum）
     */
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "发送范围不能为空")
    @EnumString(value = MessageSendRangeEnum.class, message = "发送范围错误！")
    @Excel(name = "发送范围", readConverterExp = "1是全校，2是院系，3是个人，参考MessageSendRangeEnum")
    private Integer sendRange;

    /**
     * 发送内容
     */
    @NotBlank(groups = ValidGroup.Crud.Create.class, message = "发送范围不能为空")
    @Excel(name = "发送内容")
    private String content;

    /**
     * 部门id
     */
    @Excel(name = "部门ids")
    private String deptIds;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 发送人id，关联用户表id(多个用户id)
     */
    @Excel(name = "发送人id，关联用户表id(多个用户id)")
    private String userIds;

    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public Integer getSendMode() {
        return sendMode;
    }

    public void setSendMode(Integer sendMode) {
        this.sendMode = sendMode;
    }

    public Integer getSendRange() {
        return sendRange;
    }

    public void setSendRange(Integer sendRange) {
        this.sendRange = sendRange;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
